Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236254 - python-twisted 2.5.0 is out
Summary: python-twisted 2.5.0 is out
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-twisted
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Vander Stichele
QA Contact: Fedora Extras Quality Assurance
URL: http://twistedmatrix.com/trac/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-12 17:59 UTC by Peter Lemenkov
Modified: 2009-09-21 20:51 UTC (History)
1 user (show)

Fixed In Version: 2.5.0-2.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-03 21:16:25 UTC


Attachments (Terms of Use)

Description Peter Lemenkov 2007-04-12 17:59:57 UTC
Description of problem: python-twisted 2.5.0 is out but we still got 2.4.0

http://twistedmatrix.com/trac/

Comment 1 Deependra Singh Shekhawat 2007-06-10 12:10:33 UTC
This should now be added to Fedora 7 at least. There are some features that I
require but found that Fedora 7 still ships with 2.4. 

Why can't we have the newere twisted 2.5 which was release in Janauary 2007.

Please clarify.

Comment 2 Thomas Vander Stichele 2007-06-11 10:40:33 UTC
clarification: no one has tested Twisted 2.5 in Fedora with python 2.5 and all
the apps using it.

This is quite some work, feel free to help out.

Comment 3 Nicolas Chauvet (kwizart) 2007-07-27 07:10:26 UTC
Freevo is a multimedia application written in python (that uses twisted 2.4) It
lives outsite Fedora for now, whereas is could be in it because all required
dependencies are provided from Fedora (whereas some third part can be added...)
- still testing...

They were a recent discution about twisted 2.5, 
Around here - i haven't found it on archive so i'm quoting:
http://sourceforge.net/mailarchive/forum.php?thread_name=200707170048.22833.rbu%40gentoo.org&forum_name=freevo-devel
 

"Duncan Webb <duncan@freevo.org> 	
à freevo-devel
	
afficher les détails
	 07:35 (il y a 1 heure) 
- Afficher le texte des messages précédents -
> On Friday, 27. July 2007 00:23, Evan Hisey wrote:
>> Robert-
>>   The Twisted Dep will go away when either 2.0 is ready or someone
>> has the time to backport  the 2.0 recording server to the 1.x branch.
>> It is a pain, but the 1.6+ releases started  as a maintenance
>> project that Duncan took on so we could get updates and patches
>> during the development period of 2.0 and it has gotten a whole lot
>> more development than originally expected, I think.
>
> Thanks for clearing that up, Evan. I know the whole effort is
> maintaining older code and backporting, but I wanted to know if this is
> planned for the near future or not (e.g. do some of the developers
> intend to backport the recordserver or is that just an 'if').
>
> I really don't want to play anyone's schedule or todo-list here, but I
> was hoping for some word I could plan on more.

I have no plans to change the record server to use Twisted-2.5.0. The
reason are:
1) Using Twisted as a RPC server is a bit of an overkill, using
kaa.notifier or Python's RPC calls is easier.
2) There are other functions that have been deprecated in Twisted which
are being used in the record server.
3) The record server has got more and more functionality and is now too
big and complex that it is difficult to maintain.
4) I don't like that favourites and scheduled recordings are stored in the
same unformatted xml file.

Back porting Freevo's 2 record server is one possibility but depends on
the dependencies of the rest of Freevo 2; need to look into this.

The other option is to rewrite the record server but this is not a small
undertaking and needs careful consideration. If back porting the record
server from Freevo 2 brings in add other dependencies then I would prefer
to rewrite it.

Hope this is explains why updating the record server to use Twisted-2.5
has not been done and what the plans for the record server are.

Duncan"

For now i haven't tryed rawhide with freevo, but if anyone setup a repository
with twisted 2.5 i will do some testing...(i'm not sure that it will work anyway...)
So maybe a parallele installable version would be better if this makes sense ?!

Comment 4 Fedora Update System 2007-09-07 17:17:10 UTC
python-twisted-core-2.5.0-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Nicolas Chauvet (kwizart) 2007-09-07 23:54:38 UTC
Well
I would like to hold the release as it will completely break freevo...

If a "leave in testing state" is permitted that would be a good answear for me...

otherwise freevo users will have to downgrade to Twisted-2.4



Comment 6 Fedora Update System 2007-10-03 21:16:24 UTC
python-twisted-core-2.5.0-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.